;;; -*- Mode:Lisp; Syntax:Common-lisp; Package: modlisp; Base:10 -*-

(in-package #:modlisp)


(defun make-socket-server (name function port &key wait (format :text))
  (let ((listener (ext:create-inet-listener port)))
  (values
   (mp:make-process
    (lambda () (start-socket-server listener function))
    :name name)
   listener)))

(defun start-socket-server (listener function)
  (unwind-protect
       (loop
	(mp:process-wait-until-fd-usable listener :input)
	(multiple-value-bind (new-fd remote-host)
	    (ext:accept-tcp-connection listener)
	  (let ((stream (sys:make-fd-stream new-fd :input t :output t)))
	    (mp:make-process
	     (lambda () (apache-command-issuer stream function))
	     :name (next-worker-name)))))
    (unix:unix-close listener)))
