;;; -*- Mode:Lisp; Syntax:Common-lisp; Package: modlisp; Base:10 -*-

(in-package #:modlisp)

(require "comm")

(defvar *processor*)
(let ((*processor* nil))
  
  (defun make-socket-server (name function port &key wait (format :text))
    (setq *processor* function)
    (values
     (comm:start-up-server
      :service port
      :process-name name
      :function 'socket-worker)
     nil))

  (defun socket-worker (socket)
    (let ((stream (make-instance 'comm:socket-stream :socket socket
				 :direction :io
				 :element-type 'base-char)))
      (mp:process-run-function
     (next-worker-name) '()
     'apache-command-issuer stream *processor*))))
