;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10; Package: umweb -*-
;;;; *************************************************************************
;;;; FILE IDENTIFICATION
;;;;
;;;; Name:          modlisp.asd
;;;; Purpose:       ASDF system definition file for modlisp package
;;;; Programmer:    Kevin M. Rosenberg
;;;; Date Started:  Dec 2002
;;;;
;;;; $Id: modlisp.asd,v 1.3 2003/07/05 00:51:04 kevin Exp $
;;;; *************************************************************************

(defpackage #:modlisp-system (:use #:cl #:asdf))
(in-package #:modlisp-system)

#+(and sbcl (not sb-thread))
(error "This package requires the multitasking version of sbcl")

#+(or allegro clisp cmu lispworks sbcl)
(defsystem modlisp
    :depends-on (#+sbcl :sb-bsd-sockets)
    :components
    ((:file "package")
     (:file "variables" :depends-on ("package"))
     (:file #+allegro "impl-acl"
	    #+clisp "impl-clisp"
	    #+cmu "impl-cmucl"
	    #+sbcl "impl-sbcl"
	    #+lispworks "impl-lispworks"
	    :depends-on ("variables"))
     (:file "base"
	    :depends-on (#+allegro "impl-acl"
			 #+clisp "impl-clisp"
			 #+cmu "impl-cmucl"
			 #+lispworks "impl-lispworks"
			 #+sbcl "impl-sbcl"))
     (:file "utils" :depends-on ("base"))
     (:file "demo" :depends-on ("utils"))))
